<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: Sources/caesar.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_937900b87e0c7a5fa01190c395fb83f7.html">Sources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">caesar.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="caesar_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor"> #ifndef _CAESAR_H</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor"> #  define _CAESAR_H</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keywordtype">int</span> <a class="code" href="caesar_8h.html#a70e436427fb04708dc012399df850752">encryptLine</a>(<span class="keywordtype">char</span>* line);</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keywordtype">int</span> <a class="code" href="caesar_8h.html#a00960bfad8fdf39c819a12c276558177">encryptLineSpec</a>(<span class="keywordtype">char</span>* line, <span class="keywordtype">int</span> spec);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="keywordtype">int</span> <a class="code" href="caesar_8h.html#ab5513129ed39cf49867a07cfd484dc78">decryptLine</a>(<span class="keywordtype">char</span>* line);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keywordtype">int</span> <a class="code" href="caesar_8h.html#a566d3ebca4b82688c0486ab82c05e2b2">decryptLineSpec</a>(<span class="keywordtype">char</span>* line, <span class="keywordtype">int</span> spec);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* _CAESAR_H */</span><span class="preprocessor"></span></div><div class="ttc" id="caesar_8h_html_a00960bfad8fdf39c819a12c276558177"><div class="ttname"><a href="caesar_8h.html#a00960bfad8fdf39c819a12c276558177">encryptLineSpec</a></div><div class="ttdeci">int encryptLineSpec(char *line, int spec)</div><div class="ttdoc">Encrypts the string line through Caesar&amp;#39;s rotation algorithm with an offset of spec. </div><div class="ttdef"><b>Definition:</b> caesar.c:26</div></div>
<div class="ttc" id="caesar_8h_html_a70e436427fb04708dc012399df850752"><div class="ttname"><a href="caesar_8h.html#a70e436427fb04708dc012399df850752">encryptLine</a></div><div class="ttdeci">int encryptLine(char *line)</div><div class="ttdoc">Encrypts the string line through Caesar&amp;#39;s rotation algorithm with an offset of 13. </div><div class="ttdef"><b>Definition:</b> caesar.c:13</div></div>
<div class="ttc" id="caesar_8h_html_a566d3ebca4b82688c0486ab82c05e2b2"><div class="ttname"><a href="caesar_8h.html#a566d3ebca4b82688c0486ab82c05e2b2">decryptLineSpec</a></div><div class="ttdeci">int decryptLineSpec(char *line, int spec)</div><div class="ttdoc">Decrypts the string line wich was encrypted by Caesar&amp;#39;s rotation algorithm with an offset of spec...</div><div class="ttdef"><b>Definition:</b> caesar.c:58</div></div>
<div class="ttc" id="caesar_8h_html_ab5513129ed39cf49867a07cfd484dc78"><div class="ttname"><a href="caesar_8h.html#ab5513129ed39cf49867a07cfd484dc78">decryptLine</a></div><div class="ttdeci">int decryptLine(char *line)</div><div class="ttdoc">Decrypts the string line wich was encrypted by Caesar&amp;#39;s rotation algorithm with an offset of 13...</div><div class="ttdef"><b>Definition:</b> caesar.c:40</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
